<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:ns2="http://schemas.android.com/tools">
    <!-- HMSSdkUI -->
    <style name="Base_Translucent" parent="@android:style/Theme.Translucent">
        <item name="android:windowNoTitle">true</item>
    </style>
    <!-- HMSSdkUI -->

    <!-- facebook -->
    <style name="com_facebook_activity_theme" parent="@style/Theme.AppCompat.NoActionBar">
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
    </style>

    <style name="com_facebook_auth_dialog" parent="@style/Theme.AppCompat.Dialog">
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
    </style>

    <style name="com_facebook_auth_dialog_instructions_textview" ns2:targetApi="17">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:fontFamily">roboto</item>
        <item name="android:gravity">center</item>
        <item name="android:drawablePadding">12dp</item>
        <item name="android:singleLine">false</item>
        <item name="android:textColor">@color/com_facebook_device_auth_text</item>
        <item name="android:textSize">16sp</item>
        <item name="android:typeface">sans</item>
    </style>

    <style name="com_facebook_button" parent="@android:style/Widget.Button">
        <item name="android:background">@drawable/com_facebook_button_background</item>
        <item name="android:drawablePadding">4dp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingBottom">5dp</item>
        <item name="android:paddingLeft">8dp</item>
        <item name="android:paddingRight">8dp</item>
        <item name="android:paddingTop">5dp</item>
        <item name="android:textColor">@color/com_facebook_button_text_color</item>
        <item name="android:textSize">14.0dp</item>
    </style>

    <style name="com_facebook_button_like" parent="com_facebook_button">
        <item name="android:background">@drawable/com_facebook_button_like_background</item>
    </style>

    <declare-styleable name="com_facebook_like_view">
        <attr name="com_facebook_foreground_color" format="color" />
        <attr name="com_facebook_object_id" format="string" />
        <attr name="com_facebook_object_type">
            <!-- Keep in sync with Enums in Likeview -->
            <enum name="unknown" value="0" />
            <enum name="open_graph" value="1" />
            <enum name="page" value="2" />
        </attr>
        <attr name="com_facebook_style">
            <!-- Keep in sync with Enums in LikeView -->
            <enum name="standard" value="0" />
            <enum name="button" value="1" />
            <enum name="box_count" value="2" />
        </attr>
        <attr name="com_facebook_auxiliary_view_position">
            <!-- Keep in sync with Enums in LikeView -->
            <enum name="bottom" value="0" />
            <enum name="inline" value="1" />
            <enum name="top" value="2" />
        </attr>
        <attr name="com_facebook_horizontal_alignment">
            <!-- Keep in sync with Enums in LikeView -->
            <enum name="center" value="0" />
            <enum name="left" value="1" />
            <enum name="right" value="2" />
        </attr>
    </declare-styleable>

    <style name="com_facebook_loginview_default_style" parent="com_facebook_button" />

    <style name="tooltip_bubble_text">
        <item name="android:textColor">@android:color/white</item>
        <item name="android:gravity">left</item>
        <item name="android:textSize">12sp</item>
        <item name="android:shadowDy">-1</item>
        <item name="android:shadowRadius">0.25</item>
        <item name="android:shadowColor">#40000000</item>
    </style>

    <declare-styleable name="com_facebook_login_view">
        <attr name="com_facebook_confirm_logout" format="boolean" />
        <attr name="com_facebook_login_text" format="string" />
        <attr name="com_facebook_logout_text" format="string" />
        <attr name="com_facebook_tooltip_mode">
            <!-- Keep in sync with Enums in LoginButton -->
            <enum name="automatic" value="0" />
            <enum name="display_always" value="1" />
            <enum name="never_display" value="2" />
        </attr>
        <attr name="com_facebook_login_button_radius" format="dimension" />
        <attr name="com_facebook_login_button_transparency" format="integer" />
    </declare-styleable>
    <declare-styleable name="com_facebook_profile_picture_view">
        <attr name="com_facebook_preset_size">
            <!-- Keep in sync with constants in ProfilePictureView -->
            <enum name="small" value="-2" />
            <enum name="normal" value="-3" />
            <enum name="large" value="-4" />
        </attr>
        <attr name="com_facebook_is_cropped" format="boolean" />
    </declare-styleable>
    <!-- facebook -->

</resources>